imult32(3)

NAME
imult32 - integer multiplication with overflow checking

SYNTAX
#include <libowfat/safemult.h> int imult32(int32 a,int32 b,int32* c);

DESCRIPTION
imult32 does c=a*b and returns 1. In case of an integer overflow, imult32 leaves c alone and returns 0.

SEE ALSO
imult16(3), umult32(3), imult64(3)